Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.exception
Class DimensionMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math.exception.MathIllegalArgumentException
                          org.apache.commons.math.exception.MathIllegalNumberException
                              org.apache.commons.math.exception.DimensionMismatchException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class DimensionMismatchException

extends MathIllegalNumberException

Exception to be thrown when two dimensions differ.

Since:
  2.2
Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`DimensionMismatchException(int wrong, int expected)` Construct an exception from the mismatched dimensions.

Method Summary
`int` | `getDimension()`

Methods inherited from class org.apache.commons.math.exception.MathIllegalNumberException
`getArgument`

Methods inherited from class org.apache.commons.math.exception.MathIllegalArgumentException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DimensionMismatchException

    public DimensionMismatchException(int wrong,
                                      int expected)

  Construct an exception from the mismatched dimensions.

  Parameters:
    `wrong` - Wrong dimension.
    `expected` - Expected dimension.

Method Detail

### getDimension

    public int getDimension()

  Returns:
    the expected dimension.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.